/**
	$Id$

	Copyright (C) 2013 Nicklas Nordborg

	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.clients.web.plugins;

import net.sf.basedb.core.ChangeHistory;
import net.sf.basedb.core.DbControl;

/**
	Data loader implementation for old and new values in the
	change history which are protected by special permissions.
	
	@author Nicklas
	@since 3.3
	@base.modified $Date: 2012-03-27 15:11:38 +0200 (ti, 27 mar 2012) $
*/
public class ChangeHistoryDetailLoader
	implements DataLoader<ChangeHistory>
{
	private final boolean oldValue;
	
	/**	 	
	  	@param oldValue TRUE to export the old value, FALSE to export the new value
	 */
	public ChangeHistoryDetailLoader(boolean oldValue)
	{
		this.oldValue = oldValue;
	}

	@Override
	public Object getData(DbControl dc, ExportedProperty exportedProperty, ChangeHistory item)
		throws Exception
	{
		if (item == null) return null;
		return oldValue ? item.getOldValue() : item.getNewValue();
	}
}
